Delete Proposal's Coverage Domain by Coverage Category

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Deletes a coverage record from a proposal. The proposal must be in a modifiable state. The domain must be a valid coverage or subcoverage type for the proposal. This performs a soft-delete that can be reversed with the Reinstate endpoint.

Preconditions

  • The proposal must be modifiable (CanModify is true).
  • The domain must be a valid coverage or subcoverage domain for this proposal.

Examples

Scenario 1: Successfully delete a coverage:

DELETE /api/Quotes/Proposals/12345/Coverages/ProposalCLCoverage/501
200 OK
{
  "IsSuccessful": true,
  "RecordID": 501,
  "Message": "Delete coverage with id 501 successfully."
}

Scenario 2: Proposal cannot be modified:

DELETE /api/Quotes/Proposals/12345/Coverages/ProposalCLCoverage/501
500 Internal Server Error
"Cannot modify Proposal with ID# 12345."

Path Params
integer
required

The ID of the Proposal for which you are deleting coverage data.

string
required

The name of the Domain object for which you are retrieving coverages.

integer
required

The ID of the coverage record (ie, if my {domain} is Claim then this ID is the ClaimID).

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json